# Changelog

> All notable changes to this project will be documented in this file. This project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## [v0.4.9](https://github.com/upenn/penn-ngss-ds/releases/tag/v0.4.9) – 2022-1-10

- updates input.scss to resolve textarea expansion, updates package.json to resolve potential security vulnerabilities in project dependencies

## [v0.4.7](https://github.com/torchbox/penn-ngss-ds/releases/tag/v0.4.7) – 2021-10-29

- update color-string

## [v0.4.6](https://github.com/torchbox/penn-ngss-ds/releases/tag/v0.4.5) – 2021-10-25

- changes checkbox nesting

## [v0.4.5](https://github.com/torchbox/penn-ngss-ds/releases/tag/v0.4.5) – 2021-10-25

- added CSS to center checkboxes when they appear in tables

## [v0.4.4](https://github.com/torchbox/penn-ngss-ds/releases/tag/v0.4.3) – 2021-04-14

- reverted (dark) penn red back to #990000 from #95001a

## [v0.4.3](https://github.com/torchbox/penn-ngss-ds/releases/tag/v0.4.3) – 2021-03-25

### Features

- Added breakpoint xs = 0 after discussing with Thibaud, verifying that this fixed only Material-UI and did not impact others

## [v0.4.0](https://github.com/torchbox/penn-ngss-ds/releases/tag/v0.4.0) – 2021-02-25

Major design token changes to match latest Penn branding guidelines.

### Features

- Change heading/display font from Gentium Book Basic bold to EB Garamond semibold.
- Change design system colors to match latest Penn branding guidelines
  - Penn red (dark red) change from `#990000` to `#95001a`
  - Pastel blue change from `#27add8` to `#82afd3`.
  - Light blue change from `#98def4` to `#bddbf3`.
  - The React Tabs component on a dark background now uses the mid yellow color to indicate the active tab.
  - Replaced the whole "green" range with the new "yellow", derived from the Central Penn Web yellow.
  - OutSystems tags no longer have a "green" variant, and have a new "yellow" variant instead.
  - For OutSystems status indicators (traffic lights), we now recommend using the Central Penn Web green, which isn’t
    part of the design system.

Components where there was a shift from green to yellow:

- React Link on dark backgrounds
- React Tabs on dark backgrounds
- React Chip
- React and OutSystems Warning alerts
- OutSystems Tag

### Bug fixes

- Add prop redefinition to DarkBadge to fix css prop issue (NGSSUI-396)

## [v0.3.0](https://github.com/torchbox/penn-ngss-ds/releases/tag/v0.3.0) – 2021-02-03

More components, and TypeScript declaration files.

### Features

- Add support for the "small" variant of Buttons in Material UI.
- Add support for the Material UI Pagination component.
- Add support for the Material UI Chip component.
- Publish to npm with `sideEffects: false` flag for bundlers’ tree shaking.
- Add TypeScript declarations to published package
- Switch vanilla JS tokens to be in a single file for published package

### Bug fixes

- Fix typing issues with vanilla JS design tokens
- Stop enforcing a specific Node engine for published packages

## [v0.2.0](https://github.com/torchbox/penn-ngss-ds/releases/tag/v0.2.0) – 2021-01-28

Second prototype release, with components.

### Added

- React & Material UI components + Material UI theme
- Tailwind configuration (experimental)
- Vanilla JavaScript design tokens

## v0.1.0 – 2020-12-04

First prototype release
