import React from 'react';
export interface GlobalNavigationProps {
    accountName: string;
    notificationsCount?: number;
}
/**
 * Also referred to as the “Family Header”. The navigation bar that houses a number of core components, including menu, notifications, seatch and user info.
 *
 * This component likely can’t be reused directly from a component library, as its contents and styles
 * need to change heavilyy depending on the context the component is used in, but it is presented here nonetheless as a visual reference.
 */
declare const GlobalNavigation: React.FC<GlobalNavigationProps>;
export default GlobalNavigation;
